Bug 208943 - biology/bowtie2: upgrade to 2.2.8
Summary: biology/bowtie2: upgrade to 2.2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-21 00:38 UTC by Joseph Mingrone
Modified: 2016-05-13 20:13 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
svn patch to upgrade biology/bowtie2 to version 2.2.8 (783 bytes, patch)
2016-04-21 00:38 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-04-21 00:38:46 UTC
Created attachment 169505 [details]
svn patch to upgrade biology/bowtie2 to version 2.2.8

portlint: OK
testport: OK (poudriere: 9.3-RELEASE-p30,  amd64 [1])
testport: OK (poudriere: 10.3-RELEASE,     amd64 [2])

[1] http://pkg.awarnach.mathstat.dal.ca/data/103amd64-default/2016-04-20_21h26m07s/logs/bowtie2-2.2.8.log

[2] http://pkg.awarnach.mathstat.dal.ca/data/9amd64-default/2016-04-20_21h22m58s/logs/bowtie2-2.2.8.log
Comment 1 Jason W. Bacon freebsd_committer 2016-04-21 02:32:43 UTC
Hi Joe,

Is there a specific feature or bug fix in 2.2.8 that you need?

There are several pipelines that depend on bowtie2, and they can be very sensitive to changes in dependencies.  We'll need to test bowtie 2.2.8 with trinity and tophat for starters before committing the upgrade.

In the future it might be better to add things like this as a -devel in my wip collection before doing a PR:

https://github.com/outpaddling/freebsd-ports-wip

This will make testing changes quick and easy.

I can give you commit access if you're interested in adding to the collection.  Otherwise, I'll add a bowtie2-devel myself using your patches and run the trinity and tophat tests when I get a chance.

Regards,

   JB
Comment 2 Joseph Mingrone freebsd_committer 2016-04-21 02:53:19 UTC
Hey Jason,

There aren't any specific features we need and I'm not running these pipelines myself, so a cautious approach sounds good.  We have the new version installed on our cluster, so if I hear any feedback from our group members I'll pass it along.

In the future I'll submit pull requests to your -wip repositories.  Let's see if I annoy you enough with PRs, then you can consider giving me commit access.

Joseph
Comment 3 Jason W. Bacon freebsd_committer 2016-05-05 01:39:15 UTC
Patch tested and approved.

Joe:  Pull requests are more trouble than they're worth in this arena.  These are all work-in-progress ports, so there's nothing release-quality to protect and we're pretty casual about it.  If you'd rather not break someone else's port, just make a copy under a different name until you've tested your ideas.  Send me your Github ID and I'll add you to the developers group.
Comment 4 Joseph Mingrone freebsd_committer 2016-05-05 14:49:32 UTC
Thanks Jason.  I'm Jehops on Github.
Comment 5 Kurt Jaeger freebsd_committer 2016-05-13 19:45:50 UTC
testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2016-05-13 20:13:03 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2016-05-13 20:13:24 UTC
A commit references this bug:

Author: pi
Date: Fri May 13 20:12:44 UTC 2016
New revision: 415148
URL: https://svnweb.freebsd.org/changeset/ports/415148

Log:
  biology/bowtie2: 2.2.7 -> 2.2.8

  - Various website updates
  - Fixed the bowtie2-build issue that made TBB compilation fail

  PR:		208943
  Submitted by:	Joseph Mingrone <jrm@ftfl.ca>
  Approved by:	Jason Bacon <bacon4000@gmail.com> (maintainer)

Changes:
  head/biology/bowtie2/Makefile
  head/biology/bowtie2/distinfo